<template>
    <div>
        <p>Фильтр Анкет</p>
        <SearchInput name="first_name" placeholder="Имя" />
        <SearchCheckbox name="is_approved" placeholder="Одобрено" />

        <FilterSelector
            placeholder="Факультет"
            :items="facultiesData"
            text="name"
            name="faculty"
            v-model="currentFaculty"
        />
    </div>
</template>

<script>
import SearchInput from "@/components/Filter/SearchInput";
import facultiesApi from "@/api/facultiesApi";
import SearchCheckbox from "@/components/Filter/SearchCheckbox";
import FilterSelector from "@/components/Admin/FilterSelector";
import snackbar from "@/utils/snackbar";
export default {
    name: "QuestsFilter",
    components: { FilterSelector, SearchCheckbox, SearchInput },
    data: () => ({ currentFaculty: null, facultiesData: [] }),
    methods: {
        async getFacultiesData() {
            try {
                this.facultiesData = await facultiesApi.getFacultyList();
            } catch (e) {
                snackbar(e);
            }
        },
    },

    mounted() {
        this.getFacultiesData();
    },
};
</script>

<style scoped></style>
